<div style="margin-bottom: 15px;">
    <h5>
        <span>Job Orders Request </span>
    </h5>
    <br>
    <p-dataTable
    [value]="jobOrders"
    [editable]="true"
    [rows]="itemsPerPage"
    [paginator]="true"
    [pageLinks]="5"
    [rowsPerPageOptions]="[10,15,20]"
    [totalRecords]="totalItems"
    [responsive]="true"
    [lazy]="true"
    [(first)]="first"
    row="itemsPerPage"
    totalRecords="totalItems"
    dataKey="idOrder"
    expandableRows="false"
    rowHover="true"
    (onLazyLoad)="loadDataLazy($event)">
    <p-header>
        <form name="searchForm" class="form-inline">
            <div class="input-group w-100 mt-3">
                
                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                    name="currentSearch" placeholder="Please Insert Job Order Number, Job Description, Created By Or Division Reciver">
                <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                    <span class="fa fa-search"></span>
                </button>
                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                    <span class="fa fa-trash-o"></span>
                </button>
            </div>
        </form>
        <div class="fieldset-legend">
            <div class="text-left">
            <p-accordion class="filter-accordion" expandIcon="fa fa-search-plus" collapseIcon="fa fa-search-minus">
                <p-accordionTab header="Sort By">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-control-label"  for="field_divReciver"> Urutkan Berdasarkan</label>
                            <select class="form-control" id="field_divition" name="divReciver" [(ngModel)]="divReciver">
                                <option [ngValue]="null"></option>
                                <option [ngValue]="divitionOption.value" *ngFor="let divitionOption of divitions">{{divitionOption.label}}</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="btn-filter-wrapper">
                    <button pButton type="submit" label="Filter" icon="fa-filter" (click)="filtered(divReciver)">
                    </button> 
                    <button pButton type="submit" label="Reset Filter" icon="fa-refresh" (click)="clear()">
                    </button> 
                </div>
                </p-accordionTab>
            </p-accordion>
            </div>
        </div>
    </p-header>
    <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
        </ng-template>
    </p-column>
    <p-column header="Job Order Number" [style]="{'width': '150px'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.orderNumber}}
        </ng-template>
    </p-column>
    <p-column header="Job Order Date">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.dtOrder | date:'dd-MM-yyyy'}}
        </ng-template>
    </p-column>
    <p-column header="Created By">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.createdBy}}
        </ng-template>
    </p-column>
    <p-column header="Division">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.divReq}}
            </ng-template>
        </p-column>
    <p-column header="Request To">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.divReciver}}
            </ng-template>
        </p-column>
        <p-column header="Job Description">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.jobDescription}}
            </ng-template>
        </p-column>
    <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <button pButton type="submit"
                    [routerLink]="['../joborders/0/' + page + '/' + rowData.idOrder + '/edit']"
                    icon="fa-pencil"
                    class="flat-button">
            </button>
            <button pButton type="submit"
                    (click)="print(rowData.idOrder, rowData)"
                    icon="fa-print"
                    class="flat-button">
            </button>
        </ng-template>
    </p-column>
    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
    </ng-template>
    </p-dataTable>
</div>
